import {
  a,
  c as r
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/bnf.js
var i = r((s, e) => {
  e.exports = t;
  t.displayName = "bnf";
  t.aliases = ["rbnf"];
  function t(n) {
    n.languages.bnf = {
      string: {
        pattern: /"[^\r\n"]*"|'[^\r\n']*'/
      },
      definition: {
        pattern: /<[^<>\r\n\t]+>(?=\s*::=)/,
        alias: ["rule", "keyword"],
        inside: {
          punctuation: /^<|>$/
        }
      },
      rule: {
        pattern: /<[^<>\r\n\t]+>/,
        inside: {
          punctuation: /^<|>$/
        }
      },
      operator: /::=|[|()[\]{}*+?]|\.{3}/
    }, n.languages.rbnf = n.languages.bnf;
  }
  a(t, "bnf");
});

export {
  i as a
};
